import bitutilities as bu
import timeit


if __name__ == '__main__':
    reg: bu.BasicRegister = bu.BasicRegister(bu.get_memory("memory"))

    print()
    print("Register 1:")
    print(reg)

    print()
    reg2: bu.BasicRegister = bu.BasicRegister(bu.get_memory("more memory"))

    print()
    print("Register 2:")
    print(reg2)

    print()
    reg3: bu.BasicRegister = bu.binary_sum(reg, reg2)

    print()
    print("Sum:")
    print(reg3)

    carry_sum_test: tuple[bu.BasicRegister, int] = bu.binary_sum(reg, reg2, True)

    print()
    print("Sum & carry:")
    # print(type(carry_sum_test))
    print(carry_sum_test)
